Bug 1017236 - split out perl based utils to a separate sub package
split out perl based utils to a separate sub package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: i2c-tools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 09:20 EDT by Peter Robinson
Modified: 2013-11-10 01:52 EST (History)
2 users (show)

See Also:
Fixed In Version: i2c-tools-3.1.0-11.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:52:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to split perl utils to separate sub package (1.49 KB, patch)
2013-10-09 09:20 EDT, Peter Robinson
no flags Details | Diff

  None (edit)
Description Peter Robinson 2013-10-09 09:20:54 EDT
Created attachment 809921 [details]
patch to split perl utils to separate sub package

there's 3 utils in the core packages that are written in perl. They're not core i2c utils so it would be great to split them out into a perl sub package so that those that need just the core detect/dump/get/set utils don't need to pull in a perl stack. 

This is useful on ARM dev style platforms like the Beagle Bone Black which make heavy use of i2c for hobbyists that wish to add sensors and in general make pretty heavy use of i2c buses but only have a small amount of storage.

Patch attached for the spec to implement this change and I'm happy to push the changes if ACKed.
Comment 1 Peter Robinson 2013-10-09 09:22:24 EDT
koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6041362
Comment 2 Adam Jackson 2013-10-09 14:39:25 EDT
Patch looks fine, go for it.
Comment 3 Peter Robinson 2013-10-09 17:10:10 EDT
Thanks ajax, committed
Comment 4 Fedora Update System 2013-10-10 04:41:33 EDT
i2c-tools-3.1.0-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/i2c-tools-3.1.0-11.fc20
Comment 5 Fedora Update System 2013-10-11 12:51:52 EDT
Package i2c-tools-3.1.0-11.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing i2c-tools-3.1.0-11.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18885/i2c-tools-3.1.0-11.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-11-10 01:52:25 EST
i2c-tools-3.1.0-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.